﻿//ASSIGNMENT STATUS VALUES
//0: Approved, 1: Rejected, 2: AddPending, 3: RemovePending 

var globalState = (function () {
    var currentExhibit;

    var userProfile = new UserProfile({ "WWID": 702068349, "Name": "Gregory Kheysin", "FirstName": "Gregory", "MiddleName": "", "LastName": "Kheysin", "Title": "Contractor", "Login": "gkheysin", "Email": "GKheysin@ITS.JNJ.com", "Telephone": "1 800 447-4737", "NoDomainLogin": "gkheysin", "Manager": { "WWID": 33219, "Name": "Christopher Devito", "FirstName": null, "MiddleName": null, "LastName": null, "Title": "SENIOR DIR INTERNATIONAL TAXATION", "Login": "CDevito", "Email": "CDevito@its.jnj.com", "Telephone": null, "NoDomainLogin": null, "Manager": null, "AssignedLegalEntities": null, "IdSubscriber": 0, "NewsLetters": null }, "AssignedLegalEntities": [{ "IdRec": 3100, "Id": 0, "FIS6": "009999", "Name": "J\u0026J Example Legal Name                                                    ", "Country": null, "AssignmentStatus": 1, "Action": 0 }, { "IdRec": 4320, "Id": 0, "FIS6": "007555", "Name": "Janssen Pharmaceutica N.V.                                                      ", "Country": null, "AssignmentStatus": 1, "Action": 0 }], "IdSubscriber": 211, "NewsLetters": [{ "Id": 490, "IdCommon": 1, "Title": "GTW News", "IsSubscribed": true }, { "Id": 491, "IdCommon": 2, "Title": "Tax Community News", "IsSubscribed": true }] });
    return {
        userProfile: userProfile
    }
})();


function UserProfile(parameter) {
    if ($.isEmptyObject(parameter)) {
        return {};
    }

    if (parameter) {
    	var data = $.extend(true,{}, parameter);
        
        if (parameter.Manager) {
            data.Manager = new UserProfile(parameter.Manager);
        }

        data.NewsLetters = parameter.NewsLetters;
        data.Telephone = parameter.Telephone;
        data.AssignedLegalEntities = parameter.AssignedLegalEntities;
    }
    
    
    function WWID() {
        return data.WWID;
    }

    function Name() {
        return data.Name;
    }

    function Title() {
        return data.Title;
    }

    function Login() {
        return data.Login;
    }

    function Email() {
        return data.Email;
    }

    function Manager() {
        return data.Manager;
    }

    function Telephone() {
        return data.Telephone;
    }

    function NewsLetters() {
        return data.NewsLetters;
    }

	function GetProfile() {
		var ret = $.extend(true,{}, data);
		if (ret.Manager) {
			ret.Manager = ret.Manager.Profile();
		}
		return ret;
	}


    return{
        WWID: WWID,
        Name: Name,
        Title: Title,
        Login: Login,
        Email: Email,
        Manager: Manager,
        Telephone: Telephone,
        AssignedLegalEntities: data.AssignedLegalEntities,
        NewsLetters: NewsLetters,
		Profile:GetProfile
    }



}